# Copyright (c) 2010-2013 Jörg Lorenzen <joerg.lorenzen@ki.tng.de> and
# the Packman team <packman@links2linux.de>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via packman@links2linux.de


Name:           vstream-client
Summary:        Tivo VServer Streaming Client
Version:        1.2.1.1.r9
Release:        2.2
Url:            http://code.google.com/p/vstream-client/
Source:         vstream-client-%{version}.tar.bz2
Patch1:         vstream-client-fix_makefile.patch
Patch2:         vstream-define_ULLONG_MAX.patch
License:        GPL-2.0
Group:          Productivity/Networking/Other
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a fork off of the vstream library from the tivo-mplayer project. It
has been stripped down to just the client code, and includes an example client
application. If you have vserver installed on your Tivo (which most tivo
hackers do), then you can use this simple client to stream .ty files from
it. This library can also be used by MPlayer/MEncoder to watch/re-encode tivo
streams live over a network.

%package -n libvstream-client-devel
Summary:        Tivo VServer Streaming Client Library
Group:          Development/Libraries/C and C++

%description -n libvstream-client-devel
This is a fork off of the vstream library from the tivo-mplayer project. It
has been stripped down to just the client code, and includes an example client
application. If you have vserver installed on your Tivo (which most tivo
hackers do), then you can use this simple client to stream .ty files from
it. This library can also be used by MPlayer/MEncoder to watch/re-encode tivo
streams live over a network.

%prep
%setup -q
%patch1
%if 0%{?suse_version} < 1120 || 0%{?sles_version} == 11
%patch2
%endif

%build
# not autoconf
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir}

%__make %{?jobs:-j%{jobs}} \
	CFLAGS="%{optflags} -D_LARGEFILE64_SOURCE -fPIC" \
	CC="%__cc"

%install
%makeinstall

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/vstream-client

%files -n libvstream-client-devel
%defattr(-,root,root)
%{_includedir}/vstream-client.h
%{_libdir}/libvstream-client.a

%changelog
* Wed Nov 13 2013 joerg.lorenzen@ki.tng.de
- update to version 1.2.1.1.r9
- added -fPIC to CFLAGS, needed to build MPlayer with vstream support on x86_64
* Sun Aug  3 2008 Pascal Bleser <guru@unixtech.be> 1.2.1.1-0.pm.1
- new package
